atdts

TypeScript code generation for ATD APIs
README

ATD stands for Adaptable Type Definitions. It is a syntax for defining
cross-language data types. It is used as input to generate efficient
and type-safe serializers, deserializers and validators.

Target languages currently supported:

All can installed with opam e.g.

$ opam install atdgen

Documentation

here

Contributing

The ATD suite of tools is developed and maintained by
volunteers—users like you.
Various issues are in need
of attention. If you'd like to contribute, please leave a comment on the
issue you're interested in, or create a new issue. Experienced
contributors will guide you as needed.

There are many simple ways of making a positive impact. For example,
you can...

  • Use the software in your project.

  • Give a demo to your colleagues.

  • Share the passion on your blog.

  • Tweet about what you're doing with atd.

  • Report difficulties by creating new issues. We'll triage them.

  • Ask questions on StackOverflow.

  • Answer questions on
    StackOverflow.

  • Discuss usage on the OCaml forums.

  • Pick a task that's easy for you.

Check out in particular
good first time issues
and other issues with which
we could use some
help
.

For guidelines on how to contribute code, consult
CONTRIBUTING.md.

Authors

The ATD project started in 2010. Contributors include:

  • Martin Jambon

  • Rudi Grinberg

  • Ivan Jager

  • David Sheets

  • Jeff Meister

  • Carmelo Piccione

  • oleksiy

  • Louis Roché

  • Daniel Weil

  • Egor Chemokhonenko

  • Gabriel Scherer

  • Raman Varabets

  • tzm

  • Mathieu Baudet

  • Oleksiy Golovko

  • Rauan Mayemir

  • John Billings

  • Brendan Long

  • Caio Wakamatsu

  • Chris Yocum

  • Pierre Boutillier

  • Shon Feder

  • Anurag Soni

  • Arjun Ravi Narayan

  • Asya-kawai

  • Christophe Troestler

  • Damien Doligez

  • Daniel M

  • François Pottier

  • Javier Chavarri

  • Stephane Legrand

  • Vincent Bernardoff

  • haoyang

  • pmundkur

  • ygrek

We distribute the source code under the terms of a BSD license.

Install
Published
12 Jun 2022
Authors
Sources
atdts-2.9.1.tbz
sha256=39dc1a511d08c743b3f0d0e6dfa9c8caf211cc5fabfe92a089e8f57e170e9ae4
sha512=2149ddc53703a8c4c01c5571125ba66cce7305fac332357acfda36a44a67a7c9df2a0322cb05682fed3656067c26cdbe2e50071db5b2e5233abc1cfcf103e34e
Dependencies
odoc
with-doc
alcotest
with-test
cmdliner
>= "1.1.0"
atd
>= "2.7.0" & < "2.10.0"
ocaml
>= "4.08"
dune
>= "2.8"
Reverse Dependencies
elpi
>= "1.16.1"